--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Updates the tag. This change can't be undone. <em>writetype</em> specifies which tag type to write and defaults to <em>readtype</em> (see #new)."
- !ruby/struct:SM::Flow::P 
  body: "Invalid frames or frame data is ignored. Use #invalid_frames before update! if you want to know if you have invalid data."
- !ruby/struct:SM::Flow::P 
  body: Returns a number corresponding to the written tag type(s) or nil if the update failed.
- !ruby/struct:SM::Flow::VERB 
  body: "   tag.update!\n   id3v1_tag.update!(ID3Lib::V1)\n"
full_name: ID3Lib::Tag#update!
is_singleton: false
name: update!
params: (writetype=@readtype)
visibility: public
